#!/usr/bin/perl
#
# Copyright Chris Hill, Automotive Products plc, 1997
# 
#
# Script to archive FW-1 log files after exporting 
#
# Input  : all switched/exported accounting files in current directory
# Output : old accounting files compressed to ../history
#          exported accounting file compressed to ../export   
#
# Called as follows:
#
# fwarchive.pl 
#
#

print "********** fwarchive start ****************\n";

$dir = "/opt/SUNWfw/log/";

opendir DIR, $dir;
@files = grep /\.export$/, readdir DIR;
closedir DIR;

# process each file

foreach $file (@files)
{
  $file =~ s/(.*)\.export/$1/;
  print "compressing $dir$file.*\n";
  `compress $dir$file.*`;
}

# Move the compressed files

  $expdir = $dir."export/";
  $histdir = $dir."history/";

  print "moving compressed files\n";

  `mv $dir*.export.Z $expdir`;
  `mv $dir*.Z $histdir`;

print "********** fwarchive end ****************\n";
